[Testing Update] 2018-08-22 - EOL kernel cleanup, Linux419, Nvidia, Firefox, Haskell, Python

update
testing

#1

Hi community,

Welcome to another testing update. So what do we have with this one?

  • we cleaned up some EOL kernels and unneeded kde-i18n packages
  • nvidia driver got updated to 396.54
  • latest snapshot of linux419 and firefox-dev
  • the usual haskell/python rebuilds/updates

We hope with all these changes Manjaro to be more efficient for you all.

For more info about L1TF please watch this video:


Currently we are working on a new Manjaro-Hardware project, the Bladebook Fall 2018. It will be powered by Manjaro KDE v18.0 and the latest Intel Apollo Lake Quad-Core HD APU. Having a fanless metal material (cassis either silver or gold-rose) and eMMC as storage (additional M2-SSD possible), it will have a long battery life. Find out more on our hardware page.

If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts. Our KDE fans may try our beta-build with the latest KDE v5.13 instead. And our GNOME fans may try our beta-build with the latest GNOME v3.28.


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.119 [EOL]
  • linux44 4.4.150
  • linux49 4.9.122
  • linux414 4.14.65
  • linux417 4.17.17
  • linux418 4.18.3
  • linux419 4.19-rc0
  • linux414-rt 4.14.52_rt34
  • linux416-rt 4.16.18_rt11

Package Updates (Wed Aug 22 10:48:19 CEST 2018)

  • testing community x86_64: 192 new and 195 removed package(s)
  • testing core x86_64: 5 new and 11 removed package(s)
  • testing extra x86_64: 53 new and 160 removed package(s)
  • testing multilib x86_64: 3 new and 3 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                       budgie-extras              0.5.0-1              0.6.0-1
                  linux414-rt-nvidia           1:396.51-1           1:396.54-1
                  linux416-rt-nvidia           1:396.51-1           1:396.54-1
            manjaro-awesome-settings           20180820-1           20180821-1
                         snapper-gui    0.1.r4.gceb2443-1    0.1.r6.g960a948-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                             absl-py              0.3.0-1              0.4.0-1
                            argtable               2.13-3               2.13-4
                             aws-cli            1.15.74-1            1.15.82-1
                 deepin-image-viewer             1.2.23-1             1.2.23-2
                             dovecot            2.3.2.1-2            2.3.2.1-3
                              erlang             21.0.3-1             21.0.5-1
                          erlang-nox             21.0.3-1             21.0.5-1
                     erlang-unixodbc             21.0.3-1             21.0.5-1
           firefox-developer-edition            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-ach            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-af            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-an            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ar            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-as            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-ast            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-az            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-be            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-bg            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-bn-bd            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-bn-in            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-br            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-bs            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ca            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-cak            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-cs            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-cy            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-da            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-de            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-dsb            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-el            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-en-gb            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-en-us            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-en-za            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-eo            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-es-ar            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-es-cl            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-es-es            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-es-mx            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-et            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-eu            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-fa            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ff            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-fi            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-fr            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-fy-nl            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-ga-ie            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-gd            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-gl            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-gn            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-gu-in            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-he            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-hi-in            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-hr            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-hsb            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-hu            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-hy-am            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ia            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-id            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-is            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-it            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ja            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ka            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-kab            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-kk            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-km            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-kn            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ko            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-lij            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-lt            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-lv            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-mai            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-mk            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ml            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-mr            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ms            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-my            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-nb-no            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-ne-np            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-nl            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-nn-no            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-or            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-pa-in            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-pl            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-pt-br            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-pt-pt            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-rm            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ro            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ru            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-si            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-sk            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-sl            62.0b18-1            62.0b19-1
  firefox-developer-edition-i18n-son            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-sq            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-sr            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-sv-se            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ta            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-te            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-th            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-tr            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-uk            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-ur            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-uz            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-vi            62.0b18-1            62.0b19-1
   firefox-developer-edition-i18n-xh            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-zh-cn            62.0b18-1            62.0b19-1
firefox-developer-edition-i18n-zh-tw            62.0b18-1            62.0b19-1
                           firewalld              0.6.1-1              0.6.1-2
                           freeimage             3.17.0-6             3.17.0-7
                           git-annex         6.20180807-6         6.20180807-8
                       haskell-brick               0.40-4               0.40-5
                  haskell-cheapskate            0.1.1-114            0.1.1-115
                      haskell-hakyll          4.12.3.0-93          4.12.3.0-94
                 haskell-hjsonschema             1.9.0-68             1.9.0-69
                       haskell-hpack             0.29.6-5             0.29.7-1
                   haskell-hspec-wai             0.9.0-95             0.9.0-96
              haskell-hspec-wai-json            0.9.0-111            0.9.0-112
          haskell-microlens-platform            0.3.10-14            0.3.10-15
                haskell-microlens-th            0.4.2.1-6            0.4.2.2-1
           haskell-persistent-sqlite           2.8.1.2-59           2.8.1.2-60
              haskell-servant-server          0.13.0.1-65          0.13.0.1-66
                   haskell-setlocale            1.0.0.6-3            1.0.0.8-1
                         haskell-vty             5.23.1-2             5.23.1-3
              haskell-wai-app-static           3.1.6.2-87           3.1.6.2-88
                   haskell-wai-extra           3.0.24.1-1           3.0.24.2-1
                  haskell-wai-logger            2.3.2-103            2.3.2-104
                       haskell-yesod             1.6.0-84             1.6.0-86
                  haskell-yesod-auth             1.6.3-82             1.6.3-84
                  haskell-yesod-core             1.6.6-17             1.6.6-18
               haskell-yesod-default            1.2.0-372            1.2.0-373
                  haskell-yesod-form             1.6.2-18             1.6.2-20
            haskell-yesod-persistent             1.6.0-77             1.6.0-79
                haskell-yesod-static             1.6.0-72             1.6.0-73
                  haskell-yesod-test             1.6.5-16             1.6.5-18
                            hasktags             0.70.1-9            0.70.1-10
                        herbstluftwm              0.7.0-2              0.7.1-1
                         hledger-api              1.10-29              1.10-31
                          hledger-ui              1.10-23              1.10-24
                         hledger-web              1.10-35              1.10-37
                              hoogle          5.0.17.3-68          5.0.17.3-69
                              httpie              0.9.9-4              0.9.9-5
                               idris             1.3.0-47             1.3.0-48
                               jack2             1.9.12-5             1.9.12-6
                          jack2-dbus             1.9.12-5             1.9.12-6
                              kstars            1:2.9.8-1            1:2.9.8-2
                           limesuite            18.06.0-1            18.06.0-2
                        luminancehdr             2.5.1-10             2.5.1-11
                              nomacs             3.10.2-1             3.10.2-2
                            normaliz              3.6.2-1              3.6.3-1
                     pantheon-photos              0.2.5-1              0.2.5-2
                           postgrest          0.4.4.0-227          0.4.4.0-228
                               pymol              2.1.0-3              2.1.0-4
                        python-boto3             1.7.73-1             1.7.81-1
                     python-botocore            1.10.73-1            1.10.81-1
                   python-hypothesis             3.69.0-1             3.69.1-1
                   python-matplotlib              2.2.3-1              2.2.3-2
                 python-phonenumbers             8.9.10-1             8.9.11-1
                       python-pillow              5.2.0-2              5.2.0-3
                    python-pkgconfig              1.3.1-2              1.4.0-1
                    python-pyperclip              1.6.4-1              1.6.4-2
                    python-pyqtgraph             0.10.0-4             0.10.0-5
                       python-pyside              1.2.4-9                    -
                python-pyside-common              1.2.4-9                    -
                        python-qt.py           1.2.0.b2-3           1.2.0.b2-4
                         python-qtpy              1.4.2-2              1.4.2-3
                     python-shiboken              1.2.4-4                    -
                   python-sqlalchemy             1.2.10-1             1.2.11-1
                     python-tenacity             4.12.0-2              5.0.1-1
                       python2-boto3             1.7.73-1             1.7.81-1
                    python2-botocore            1.10.73-1            1.10.81-1
                  python2-hypothesis             3.69.0-1             3.69.1-1
                  python2-matplotlib              2.2.3-1              2.2.3-2
                python2-phonenumbers             8.9.10-1             8.9.11-1
                      python2-pillow              5.2.0-2              5.2.0-3
                   python2-pkgconfig              1.3.1-2              1.4.0-1
                   python2-pyperclip              1.6.4-1              1.6.4-2
                      python2-pyside              1.2.4-9                    -
                        python2-qtpy              1.4.2-2              1.4.2-3
                    python2-shiboken              1.2.4-4                    -
                  python2-sqlalchemy             1.2.10-1             1.2.11-1
                    python2-tenacity             4.12.0-2              5.0.1-1
                               qconf                2.4-1                2.4-2
                            radicale              2.1.9-3             2.1.10-1
                            sdrangel              4.0.5-1              4.0.5-2
                            shiboken              1.2.4-4                    -
                            shotwell           2:0.28.4-1           2:0.28.4-2
                           skk-jisyo           20180729-1           20180819-1
                               stack            1.7.1-102            1.7.1-104
                      tamarin-prover             1.4.0-82             1.4.0-83
                              xmonad               0.14-1               0.14-2
                      xmonad-contrib               0.14-1               0.14-2
                            clipmenu                    -              5.5.0-1
                          clipnotify                    -              1.0.1-1
                                yass                    -              0.0.2-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                          filesystem             2018.1-3             2018.8-1
                             linux41             4.1.52-1                    -
                     linux41-headers             4.1.52-1                    -
                            linux415            4.15.18-3                    -
                    linux415-headers            4.15.18-3                    -
                            linux416            4.16.18-1                    -
                    linux416-headers            4.16.18-1                    -
                      linux419 4.19rc0.0821.g778a339-1 4.19rc0.0822.gad1d697-1
              linux419-headers 4.19rc0.0821.g778a339-1 4.19rc0.0822.gad1d697-1
                    manjaro-hotfixes            2015.12-3            2018.08-3
                         mhwd-nvidia           1:396.51-1           1:396.54-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                           calamares              3.2.1-2              3.2.1-3
                 calamares-git 3.2.2.r4890.46e53997a-1 3.2.2.r4919.83c397620-1
                               hplip           3.18.7-3.1                    -
                     linux316-nvidia           1:396.51-1           1:396.54-1
                     linux318-nvidia           1:396.51-2           1:396.54-1
                   linux41-acpi_call             1.1.0-37                    -
                    linux41-bbswitch               0.8-37                    -
                 linux41-broadcom-wl      6.30.223.271-18                    -
                    linux41-catalyst     1:15.201.1151-34                    -
                 linux41-ndiswrapper              1.61-18                    -
                      linux41-nvidia           1:396.51-1                    -
                linux41-nvidia-340xx            340.107-1                    -
                linux41-nvidia-390xx             390.77-1                    -
                    linux41-nvidiabl              0.88-34                    -
                       linux41-r8168           8.045.08-8                    -
                   linux41-rt3562sta        2.4.1.1_r4-18                    -
                         linux41-spl              0.7.9-2                    -
                    linux41-tp_smapi              0.41-38                    -
                 linux41-vhba-module          20161009-18                    -
    linux41-virtualbox-guest-modules             5.2.18-1                    -
     linux41-virtualbox-host-modules             5.2.18-1                    -
                         linux41-zfs              0.7.9-2                    -
                     linux414-nvidia           1:396.51-2           1:396.54-1
                  linux415-acpi_call             1.1.0-19                    -
                   linux415-bbswitch               0.8-19                    -
                linux415-broadcom-wl      6.30.223.271-19                    -
                   linux415-catalyst     1:15.201.1151-19                    -
                linux415-ndiswrapper              1.61-19                    -
                     linux415-nvidia           1:396.51-1                    -
               linux415-nvidia-340xx            340.107-1                    -
               linux415-nvidia-390xx             390.77-1                    -
                   linux415-nvidiabl              0.88-19                    -
                      linux415-r8168          8.045.08-19                    -
                        linux415-spl              0.7.9-2                    -
                   linux415-tp_smapi              0.41-19                    -
                linux415-vhba-module          20161009-19                    -
   linux415-virtualbox-guest-modules             5.2.18-1                    -
    linux415-virtualbox-host-modules             5.2.18-1                    -
                        linux415-zfs              0.7.9-2                    -
                  linux416-acpi_call             1.1.0-15                    -
                   linux416-bbswitch               0.8-15                    -
                linux416-broadcom-wl      6.30.223.271-15                    -
                   linux416-catalyst     1:15.201.1151-15                    -
                linux416-ndiswrapper              1.61-15                    -
                     linux416-nvidia           1:396.51-1                    -
               linux416-nvidia-340xx            340.107-3                    -
               linux416-nvidia-390xx             390.77-1                    -
                   linux416-nvidiabl              0.88-15                    -
                      linux416-r8168          8.045.08-15                    -
                        linux416-spl              0.7.9-8                    -
                   linux416-tp_smapi              0.41-15                    -
                linux416-vhba-module          20161009-15                    -
   linux416-virtualbox-guest-modules             5.2.18-1                    -
    linux416-virtualbox-host-modules             5.2.18-1                    -
                        linux416-zfs              0.7.9-8                    -
                     linux417-nvidia           1:396.51-2           1:396.54-1
                     linux418-nvidia           1:396.51-1           1:396.54-1
                  linux419-acpi_call            1.1.0-0.6            1.1.0-0.7
                   linux419-bbswitch              0.8-0.6              0.8-0.7
                linux419-broadcom-wl     6.30.223.271-0.6     6.30.223.271-0.7
                   linux419-catalyst    1:15.201.1151-0.6    1:15.201.1151-0.7
                linux419-ndiswrapper             1.61-0.6             1.61-0.7
                     linux419-nvidia         1:396.51-0.6         1:396.54-0.7
               linux419-nvidia-340xx          340.107-0.6          340.107-0.7
               linux419-nvidia-390xx           390.77-0.6           390.77-0.7
                   linux419-nvidiabl             0.88-0.6             0.88-0.7
                      linux419-r8168         8.045.08-0.6         8.045.08-0.7
                        linux419-spl            0.7.9-0.6            0.7.9-0.7
                   linux419-tp_smapi             0.41-0.6             0.41-0.7
                linux419-vhba-module         20161009-0.6         20161009-0.7
   linux419-virtualbox-guest-modules           5.2.18-0.6           5.2.18-0.7
    linux419-virtualbox-host-modules           5.2.18-0.6           5.2.18-0.7
                        linux419-zfs            0.7.9-0.6            0.7.9-0.7
                      linux44-nvidia           1:396.51-2           1:396.54-1
                      linux49-nvidia           1:396.51-2           1:396.54-1
                  manjaro-tools-base             0.15.8-1             0.15.8-2
                        nvidia-utils           1:396.51-1           1:396.54-1
                       opencl-nvidia           1:396.51-1           1:396.54-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                              amarok              2.9.0-2  2.9.0.git20180816-1
            archlinux-appstream-data           20180712-1           20180821-1
                                 efl             1.20.7-1             1.20.7-2
                            efl-docs             1.20.7-1             1.20.7-2
                                 gcr             3.28.0-3             3.28.0-4
                                gegl              0.4.4-1              0.4.4-2
                       gnome-nibbles  3.24.0+5+g1c331f4-1             3.24.1-1
                              gthumb              3.6.1-1              3.6.1-2
                         imagemagick           7.0.8.10-1           7.0.8.10-2
                     imagemagick-doc           7.0.8.10-1           7.0.8.10-2
                        imagemagick6          6.9.10.10-1          6.9.10.10-2
                                jack            0.125.0-3            0.125.0-5
                         kde-l10n-ar            17.08.3-2                    -
                        kde-l10n-ast            17.08.3-2                    -
                         kde-l10n-bg            17.08.3-2                    -
                         kde-l10n-bs            17.08.3-2                    -
                         kde-l10n-ca            17.08.3-2                    -
                kde-l10n-ca@valencia            17.08.3-2                    -
                         kde-l10n-cs            17.08.3-2                    -
                         kde-l10n-da            17.08.3-2                    -
                         kde-l10n-de            17.08.3-2                    -
                         kde-l10n-el            17.08.3-2                    -
                      kde-l10n-en_gb            17.08.3-2                    -
                         kde-l10n-eo            17.08.3-2                    -
                         kde-l10n-es            17.08.3-2                    -
                         kde-l10n-et            17.08.3-2                    -
                         kde-l10n-eu            17.08.3-2                    -
                         kde-l10n-fa            17.08.3-2                    -
                         kde-l10n-fi            17.08.3-2                    -
                         kde-l10n-fr            17.08.3-2                    -
                         kde-l10n-ga            17.08.3-2                    -
                         kde-l10n-gl            17.08.3-2                    -
                         kde-l10n-he            17.08.3-2                    -
                         kde-l10n-hi            17.08.3-2                    -
                         kde-l10n-hr            17.08.3-2                    -
                         kde-l10n-hu            17.08.3-2                    -
                         kde-l10n-ia            17.08.3-2                    -
                         kde-l10n-id            17.08.3-2                    -
                         kde-l10n-is            17.08.3-2                    -
                         kde-l10n-it            17.08.3-2                    -
                         kde-l10n-ja            17.08.3-2                    -
                         kde-l10n-kk            17.08.3-2                    -
                         kde-l10n-km            17.08.3-2                    -
                         kde-l10n-ko            17.08.3-2                    -
                         kde-l10n-lt            17.08.3-2                    -
                         kde-l10n-lv            17.08.3-2                    -
                         kde-l10n-mr            17.08.3-2                    -
                         kde-l10n-nb            17.08.3-2                    -
                        kde-l10n-nds            17.08.3-2                    -
                         kde-l10n-nl            17.08.3-2                    -
                         kde-l10n-nn            17.08.3-2                    -
                         kde-l10n-pa            17.08.3-2                    -
                         kde-l10n-pl            17.08.3-2                    -
                         kde-l10n-pt            17.08.3-2                    -
                      kde-l10n-pt_br            17.08.3-2                    -
                         kde-l10n-ro            17.08.3-2                    -
                         kde-l10n-ru            17.08.3-2                    -
                         kde-l10n-sk            17.08.3-2                    -
                         kde-l10n-sl            17.08.3-2                    -
                         kde-l10n-sr            17.08.3-2                    -
                         kde-l10n-sv            17.08.3-2                    -
                         kde-l10n-tr            17.08.3-2                    -
                         kde-l10n-ug            17.08.3-2                    -
                         kde-l10n-uk            17.08.3-2                    -
                         kde-l10n-wa            17.08.3-2                    -
                      kde-l10n-zh_cn            17.08.3-2                    -
                      kde-l10n-zh_tw            17.08.3-2                    -
                      kdepim-runtime            18.08.0-1            18.08.0-2
                              kdiff3             0.9.98-6 0.9.98.git20180821-1
                               krita              4.1.1-2              4.1.1-3
                           libbluray              1.0.2-1              1.0.2-2
                           libkdcraw            18.08.0-1            18.08.0-2
                           libmagick           7.0.8.10-1           7.0.8.10-2
                          libmagick6          6.9.10.10-1          6.9.10.10-2
                              libraw            0.18.13-1             0.19.0-1
                            nss-mdns               0.10-7             0.14.1-1
                    perl-archive-zip               1.60-3               1.62-1
                   python-setuptools           1:40.0.0-1           1:40.2.0-1
                  python2-setuptools           1:40.0.0-1           1:40.2.0-1
                             qca-qt4             2.1.3-11                    -
                             qca-qt5             2.1.3-11                    -
                   qtscriptgenerator              0.2.0-5                    -
                                 qca                    -              2.1.3-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                  lib32-nvidia-utils           1:396.51-1           1:396.54-1
                 lib32-opencl-nvidia           1:396.51-1           1:396.54-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-21           2018-08-22
-------------------------------------------------------------------------------
                       lib32-ncurses                6.1-1                6.1-2
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Ready for Stable ?!?

  • We are ready to move this to our stable branch
  • I still see some issues (post about them)

0 voters


#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn’t work for you, you may use gtk instead of gtk3_kde5 as UI framework.

Something using Perl/Python/glibc broke

Rebuilds needed! If it’s an AUR package, rebuild it. If it’s a repo package, please report and check back regularly for rebuilds.


Items from previous update sets

Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


#3

I am getting this warning at pacman log:

(13/19) actualizando manjaro-hotfixes
advertencia: los permisos del directorio difieren respecto de /etc/polkit-1/rules.d/
sistema de archivos: 750   paquete: 755

warning: the permissions of the directory differ from /etc/polkit-1/rules.d/
filesystem: 750 package: 755

Should I change the permissions myself? Cheers guys and as always, thanks Manjaro team for their work.


#4

@Signalrunner: should be fixed now.


#5

Yup, no more warning. That was fast, thank you philm.


#6
sudo chmod 1777 /var/spool/mail

If necessary, how do I get this 1 there?

Warning: Directory permissions differ for /var/spool/mail/
Filesystem: 777 Package: 1777

Warnung: Verzeichnis-Berechtigungen unterscheiden sich für /var/spool/mail/
Dateisystem: 777 Paket: 1777

First time I change more then 3 digits :wink:


#7

@philm, I have chmod to 755 BEFORE you updated the fix… Should I reverse to 750 ?


#8

Yes. I think so :wink:

Zusammenfassung
Warnung: Verzeichnis-Berechtigungen unterscheiden sich für /etc/polkit-1/rules.d/
Dateisystem: 755  Paket: 750

#9

error: failed to prepare transaction (could not satisfy dependencies)
:: installing nvidia-utils (1:396.54-1) breaks dependency ‘nvidia-utils=1:396.51’ required by linux416-nvidia

EDIT: not a big deal, just uninstalled kernel 4.16 and everything related to it as soon as I almost don’t use it anyway.


#10

@philm
Gnome 18.0-beta3 is online just now :wink:


#11
:: Starting full system upgrade...
:: Replace qca-qt5 with extra/qca? [Y/n] 
resolving dependencies...
looking for conflicting packages...
:: qca and qca-qt4 are in conflict. Remove qca-qt4? [y/N] 
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: qca and qca-qt4 are in conflict

Press any key to continue...

Hmmm. Given this is my KDE Testing VM, i’ve now created a snapshot & will retry the update, except this time will answer Y to the 2nd question…

UPDATE: That seemed to work ok. No subsequent error messages, rebooted VM ok. Temporary oddity though; after logging in, my Latte Dock appeared not to be running, & would not launch when i tried via Application Menu. Tried Konsole & found:

$ latte-dock
"An instance is already running!, use --replace to restart Latte"
$ latte-dock --replace
libGL error: pci id for fd 16: 80ee:beef, driver (null)
libGL error: No driver found
libGL error: failed to load driver: (null)

Now LD is visible again.

Btw, those last three lines have been appearing consistently in Octopi for the past couple of weeks when i initiate updates… ugly.


#12

Boot stops after [OK] Reached target Graphical Interface.

Reverted to stable branch to boot to normal login.


#13

Be more specific. Which kernel may be affected? Which display-manager was used? Which packages got updated on your end. Those statements won’t help, really.


#14

Kernel version 4.18.3

SDDM version 0.18.0

NVIDIA 396.51 + PRIME

 core                                         146.5 KiB  3.58M/s 00:00 [---------------------------------------] 100%
 extra                                       1782.4 KiB  5.86M/s 00:00 [---------------------------------------] 100%
 community                                      4.8 MiB  6.03M/s 00:01 [---------------------------------------] 100%
 multilib                                     178.9 KiB  7.59M/s 00:00 [---------------------------------------] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Package (40)                 Old Version  New Version   Net Change  Download Size

community/adapta-maia-theme  3.94.0.96-1  3.94.0.106-1    0.02 MiB       0.77 MiB
core/filesystem              2018.1-3     2018.8-1        0.00 MiB       0.02 MiB
extra/gcr                    3.28.0-3     3.28.0-4        0.03 MiB       0.80 MiB
extra/gegl                   0.4.4-1      0.4.4-2         0.26 MiB       1.43 MiB
extra/geoclue2               2.4.10-1.2   2.4.11-1       -0.08 MiB       0.15 MiB
extra/graphite               1:1.3.11-1   1:1.3.12-1     -0.03 MiB       0.22 MiB
extra/hplip                  3.18.7-3.1   1:3.18.6-1     -4.72 MiB      16.77 MiB
extra/imagemagick            7.0.8.10-1   7.0.8.10-2      0.00 MiB       0.14 MiB
extra/jack                   0.125.0-3    0.125.0-5       0.20 MiB       0.35 MiB
extra/kauth                  5.48.0-3     5.49.0-1        0.02 MiB       0.29 MiB
extra/kcoreaddons            5.48.0-3     5.49.0-1        0.05 MiB       1.00 MiB
extra/kitemmodels            5.48.0-3     5.49.0-1        0.00 MiB       0.49 MiB
extra/ldb                    1:1.3.4-2    1:1.3.5-1       0.07 MiB       0.18 MiB
multilib/lib32-gnutls        3.5.18-1     3.5.19-1        0.00 MiB       0.55 MiB
multilib/lib32-ncurses       6.1-1        6.1-2           0.02 MiB       0.22 MiB
multilib/lib32-nvidia-utils  1:396.51-1   1:396.54-1      0.07 MiB      22.70 MiB
multilib/lib32-pango         1.42.3-1     1.42.4-1        0.01 MiB       0.17 MiB
extra/libbluray              1.0.2-1      1.0.2-2         0.02 MiB       0.81 MiB
extra/libmagick              7.0.8.10-1   7.0.8.10-2      0.00 MiB       2.19 MiB
extra/libraw                 0.18.13-1    0.19.0-1        0.08 MiB       0.28 MiB
extra/libwbclient            4.8.3-2      4.8.4-1         0.01 MiB       0.03 MiB
extra/linux418-nvidia        1:396.51-1   1:396.54-1      0.00 MiB       8.96 MiB
core/manjaro-hotfixes        2015.12-3    2018.08-5       0.00 MiB       0.01 MiB
core/mhwd-nvidia             1:396.51-1   1:396.54-1      0.00 MiB       0.01 MiB
extra/nss-mdns               0.10-7       0.14.1-1        0.05 MiB       0.01 MiB
extra/nvidia-utils           1:396.51-1   1:396.54-1      0.07 MiB      25.48 MiB
core/openssl                 1.1.0.h-1    1.1.0.i-1       0.08 MiB       2.92 MiB
extra/pango                  1.42.3-1     1.42.4-1        0.02 MiB       0.41 MiB
extra/python-setuptools      1:40.0.0-1   1:40.2.0-1      0.00 MiB       0.28 MiB
extra/qpdf                   8.1.0-1      8.2.1-1         0.03 MiB       0.59 MiB
extra/samba                  4.8.3-2      4.8.4-1         0.88 MiB       5.82 MiB
community/semver             5.5.0-1      5.5.1-1         0.00 MiB       0.02 MiB
core/shadow                  4.5-4        4.6-1           0.72 MiB       1.07 MiB
extra/smbclient              4.8.3-2      4.8.4-1         0.58 MiB       5.76 MiB
extra/tdb                    1.3.15-1     1.3.16-1        0.03 MiB       0.06 MiB
extra/tevent                 1:0.9.36-1   1:0.9.37-1      0.03 MiB       0.05 MiB
extra/thunar-gtk3            1.8.1-10     1.8.1-11       -0.01 MiB       0.93 MiB
extra/vala                   0.40.8-1     0.40.9-1       -0.10 MiB       2.06 MiB
core/wpa_supplicant          1:2.6-11     1:2.6-12        0.04 MiB       0.89 MiB
extra/xscreensaver           5.39-1       5.40-1          2.42 MiB       6.39 MiB

I apologize for not including firstly. Here is from testing:

~ >>> journalctl -k -b -1 -p 3                                                                                      
-- Logs begin at Mon 2018-08-13 21:27:45 JST, end at Thu 2018-08-23 16:56:21 JST. --
Aug 23 16:51:35 xmg kernel: kvm: disabled by bios
Aug 23 16:51:35 xmg kernel: intel-spi intel-spi: unrecognized JEDEC id bytes: 1c, 70, 15
Aug 23 16:51:37 xmg kernel: NVRM: API mismatch: the client has the version 396.54, but
                            NVRM: this kernel module has the version 396.51.  Please
                            NVRM: make sure that this kernel module and all NVIDIA driver
                            NVRM: components have the same version.
Aug 23 16:51:37 xmg kernel: NVRM: API mismatch: the client has the version 396.54, but
                            NVRM: this kernel module has the version 396.51.  Please
                            NVRM: make sure that this kernel module and all NVIDIA driver
                            NVRM: components have the same version.
Aug 23 16:51:37 xmg kernel: NVRM: API mismatch: the client has the version 396.54, but
                            NVRM: this kernel module has the version 396.51.  Please
                            NVRM: make sure that this kernel module and all NVIDIA driver
                            NVRM: components have the same version.
Aug 23 16:51:37 xmg kernel: NVRM: API mismatch: the client has the version 396.54, but
                            NVRM: this kernel module has the version 396.51.  Please
                            NVRM: make sure that this kernel module and all NVIDIA driver
                            NVRM: components have the same version.
Aug 23 16:51:38 xmg kernel: NVRM: API mismatch: the client has the version 396.54, but
                            NVRM: this kernel module has the version 396.51.  Please
                            NVRM: make sure that this kernel module and all NVIDIA driver
                            NVRM: components have the same version.
Aug 23 16:51:38 xmg kernel: NVRM: API mismatch: the client has the version 396.54, but
                            NVRM: this kernel module has the version 396.51.  Please
                            NVRM: make sure that this kernel module and all NVIDIA driver
                            NVRM: components have the same version.
Aug 23 16:51:40 xmg kernel: iwlwifi 0000:04:00.0: Unhandled alg: 0x707

API mismatch error when hanging as shown in xorg logs kernel message.

[     7.073] (II) modeset(G1): using drv /dev/dri/card1
[     7.073] (EE) No devices detected.
[     7.073] (EE) 
Fatal server error:
[     7.073] (EE) no screens found(EE) 
[     7.073] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[     7.073] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[     7.073] (EE) 
[     7.126] (EE) Server terminated with error (1). Closing log file.

xorg log says no devices detected.


#15

How did you get that fancy list with Old version, New version and changes in size? :slight_smile:
Is it a pacman option?


#16

@ryanmusante: well, I see the issue clearly. Do you as well?


#17

I think, it is the VerbosePkgLists option. It can be set in pacman.conf


#18

@Strit VerbosePkgLists is the one, yes,

@philm Display driver version is conflicting with kernel module? I should try 4.17?


#19

Always run supported kernels and matching drivers.


#20

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.